| Classes - Annotated - Tree - Functions - Home - Structure

# QDragLeaveEvent Class Reference

The event sent to widgets when a drag-and-drop leaves it. More...

`#include <qevent.h>`

Inherits QEvent.

List of all member functions.

## Public Members

- QDragLeaveEvent ()

## Detailed Description

The event sent to widgets when a drag-and-drop leaves it.

This event is always preceded by a QDragEnterEvent and a series of QDragMoveEvent. It is not sent if a QDropEvent is sent instead.

See also QDragEnterEvent, QDragMoveEvent and QDropEvent.

Examples: desktop/desktop.cpp

## Member Function Documentation

### QDragLeaveEvent::QDragLeaveEvent ()

Constructs a QDragLeaveEvent. Note that QDragLeaveEvent constructed outside of the Qt internals will not work - they currently rely on internal state.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.